> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/faceauthenticator/start-sdk.md).

# Iniciar verificação de vivacidade

## Chamando `startFaceAuthenticator`

Para iniciar a autenticação, inicialize `FaceAuth` com `mobileToken` e `personId`, depois chame `start()` e trate os eventos usando um listener:

```dart
  void startSDK() {
    final stream = _faceAuth.start();
    _setupFaceAuthListener(stream);
  }

  void _setupFaceAuthListener(Stream<FaceAuthEvent> stream) {
    stream.listen((event) {
      if (event is FaceAuthEventConnecting) {
        print('Conectando ao FaceAuth...');
      } else if (event is FaceAuthEventConnected) {
        print('Conectado ao FaceAuth.');
      } else if (event is FaceAuthEventClosed) {
        print('SDK fechado pelo usuário.');
      } else if (event is FaceAuthEventSuccess) {
        print('Sucesso! SignedResponse: ${event.signedResponse}');
      } else if (event is FaceAuthEventFailure) {
        print(
          'Falha! Tipo de erro: ${event.errorType}, '
              'Descrição do erro: ${event.errorDescription}',
        );
      }
    });
  }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/faceauthenticator/start-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
